import React$1, { ReactNode } from 'react';

declare type As<Props = any> = React.ElementType<Props>;

declare type PublicDisplayComponentProps = React$1.FC<Omit<DisplayComponentProps, 'config' | 'media' | 'defaultTagName'>>;
declare const createDisplay: <T extends string = string>(config: Record<T, number>, options?: {
    isLazy?: boolean;
    defaultTagName?: string;
    as?: As;
}) => (({ children }: {
    children: ReactNode;
}) => JSX.Element) & Record<T, PublicDisplayComponentProps>;
declare type DisplayComponentProps<T extends string = string> = {
    media: T;
    as?: As;
    config: Record<T, number>;
    defaultTagName?: string;
    children?: ReactNode;
    isLazy?: boolean;
};

export { createDisplay };
